Why Document?

Documentation is an essential part of the application development and maintenance lifecycle. Microsoft SQL Server provides a great deal of power in creating reliable and scalable database applications. As your database installations grow in size and complexity, it becomes increasingly difficult to know what is really going on in your database. Without a consistent and reliable approach to system documentation, your databases and the applications they serve can get out of control. Total SQL Analyzer provides you with a powerful tool to solve this problem.

During Development

As you design new database objects and set their properties and attributes, documentation and analysis can be invaluable when developing the applications that use the database. As you develop your applications, use Total SQL Analyzer to create the documentation and analysis that will make the development process easier. For example, you can use Total SQL Analyzer reports to ensure consistency across objects, and get detailed information on object properties.

Maintaining an Inherited System

One of the most difficult aspects of taking over an existing Microsoft SQL Server installation is determining exactly what is in the system and how objects are configured. Because Total SQL Analyzer provides details, documentation, and analysis of all aspects of Microsoft SQL Server, you can quickly get up to speed on unfamiliar projects.

Providing System Documentation

As a developer, you are probably responsible for creating detailed system documentation. Total SQL Analyzer eliminates much of this work by providing complete documentation of your Microsoft SQL Server installations. You can even customize the appearance of reports to match specific projects you are delivering.

Increasing System Quality

Before you distribute your Microsoft SQL Server-based application, you need to test it. Done manually, this can be a time-consuming, incomplete, and error-prone task. Total SQL Analyzer automatically provides analysis of potential issues and performance problems in your Microsoft SQL Server databases, making it easy to pinpoint problem areas.


Product Highlights

Total SQL Analyzer is designed to provide you with comprehensive documentation and analysis of your Microsoft SQL Server servers and databases. Here are some of the product’s highlights:

  • Comprehensive documentation: Total SQL Analyzer provides documentation of all server and database objects, including server properties, database objects such as tables and views, and information on replication, security, and scheduling. See What Does Total SQL Analyzer Document? for more information.

  • Detailed Analysis: While documentation serves a valuable purpose, analysis reports drill down on security, configuration, and performance issues. Total SQL Analyzer includes a variety of analysis reports to help you make your servers and databases run better.

  • Complete Report Set: Total SQL Analyzer includes over 70 presentation-quality reports, making it easy to print documentation and analysis reports. Additionally, a variety of report options are available making customization a snap. Reports can be printed or exported to other file formats.

  • Documentation Explorer: After generating documentation and analysis, use the Documentation Explorer to view the results.

  • Saved Runs: The documentation and Analysis you generate is automatically saved. This means that you can keep any number of sets of documentation. This feature is invaluable when you want to see what’s changed in your databases over time. See Selecting Jobs and Job Results for more information.


What Does Total SQL Analyzer Document?

Total SQL Analyzer provides complete and comprehensive documentation and analysis for Microsoft SQL Server installations.

Object Documentation

Total SQL Analyzer documents every type of object available in Microsoft SQL Server.

Figure 1.1 - Object Support in Total SQL Analyzer

Property Documentation

Total SQL Analyzer documents every property of every object you select. The program uses SQL DMO to retrieve property values. In addition, Total SQL Analyzer reads other information about objects that aren’t available as standard properties. For example, Total SQL Analyzer can document all registry settings for your Microsoft SQL Server installation. Although registry settings aren’t actual properties, and aren’t available through the Microsoft SQL Server Enterprise Manager, they represent important information, so Total SQL Analyzer includes them.

Analysis

While it is generating object and property documentation, Total SQL Analyzer analyzes objects to provide detailed analysis of objects that go beyond just documentation. Total SQL Analyzer includes two types of analysis.

  • Issue Analysis includes items in your database that may be potential problems.

  • Performance Analysis includes items, property settings and designs that may lead to performance problems.


How the Program Works

Total SQL Analyzer is designed to balance ease of use with comprehensive documentation and analysis. We have designed the program using concepts that should be familiar to you if you have used Microsoft SQL Server in general, and Microsoft SQL Server Enterprise Manager in particular.

Figure 1.2 - How the Program Works

To get an idea of how Total SQL Analyzer works, look at the following steps.

Step 1: Define a Job

Before Total SQL Analyzer can provide documentation and analysis, you need to specify the server you want to document, and which objects you want to include. To do this, you create a new Job. Jobs contain information about the server, object selections, and options you specify that control was included. To make Job creation easy, Total SQL Analyzer includes a New Job Wizard that steps you through each part of the process.

Step 2: Run the Job

After you have defined your Job, you run the Job. This process generates documentation and analysis into Job Results files that are stored on disk. Total SQL Analyzer provides a Run Job tool that allows you run Jobs immediately, or schedule them for a later time.

Step 3: View the results

After the Job run is complete, you have a Job Results file. You can use the Documentation Explorer built into the program to navigate through all documented objects and see properties, settings, and analysis results.

Step 4: Use Reports

Once you have viewed the results, you will probably want to print or export documentation and analysis data. Total SQL Analyzer provides a Report tool that makes it easy to select, preview, print, and export any of over 70 reports. You can also customize various aspects of the reports.

Step 5: Set up a schedule to run Jobs on a regular basis.

One of the most valuable features of Total SQL Analyzer is the ability to run any Job multiple times. This is useful when you want to maintain documentation of your Microsoft SQL Server installations over time. Total SQL Analyzer allows you to run any Job any number of times, and have the Job Results stored in different files.


Program Architecture

Total SQL Analyzer is implemented as a Win32 program using Microsoft Visual Basic 6.0. It uses the SQL DMO object library to talk to Microsoft SQL Server getting object, structure, and property information from the Microsoft SQL Server installation you select.

The program stores its output in databases located in the Total SQL Analyzer Output Directory using the Microsoft Jet Database Engine. The settings and object selections you define are stored in Job files in the Total SQL Analyzer program directory. The following diagram illustrates how each of these processes works together.

Figure 1.3 - Total SQL Analyzer Program Architecture


FMS on the Web

To provide you with the most current information about our products, FMS can be reached on the web at www.fmsinc.com. Our site is constantly being updated with news and features for the developer community. Please drop by and take a look.

FMS is constantly updating products and creating new developer tools. Check our web site often for the latest news on tools to make your development tasks easier.

Product Announcements and Press Releases

Read the latest information on new products, new versions, and future products. Press releases are available the same day they are sent to the press. Sign up in our Feedback section to have announcements and press releases automatically sent to you via email.

Product Descriptions and Demos

Detailed descriptions of all our products are available. Each product has its own page with information about features and capabilities. Demos of several products are also available for download.

Product Registration

Register your copy of Total SQL Analyzer online.

Product Support

Many product support options are available online, including support forums, product updates, and more.

Technical Papers

FMS personnel often speak at conferences and write magazine articles, papers, and books. Copies and portions of this information are available to you online. Learn about our latest ideas and tricks for using Microsoft tools more effectively.

Links to Other Sites

Jump to other locations, including user group home pages, which offer related news, files, services, and other useful information.


System Requirements

Total SQL Analyzer has the following system requirements:

  • Microsoft Windows 98, Windows 98 Second Edition, Windows ME, or Windows 2000

  • Pentium 300 MHZ processor (minimum)

  • 64 MB RAM (minimum, 128 suggested)

  • 35 MB free disk space for installation. Additional free space is needed to store Jobs and Job Results.

In order to fully document and analyze Microsoft SQL Server installations, Total SQL Analyzer examines every object you select in great detail. Generating full documentation and analysis may take some time. In general, the faster your computer (CPU and disk speed), the faster Total SQL Analyzer can complete documentation.

Supported Versions of Microsoft SQL Server

Total SQL Analyzer supports:

  • All editions of Microsoft SQL Server 7.0

  • All editions of Microsoft SQL Server 2000

Note that if you install Total SQL Analyzer on a computer with Microsoft SQL Server 7 or SQL Server 7 Client tools installed, Total SQL Analyzer will not be able to connect to SQL Server 2000 servers. See Installing Total SQL Analyzer for more information.


Installing Total SQL Analyzer

Step 1 - Determine the Best Place to Install

Determine which computer you will install Total SQL Analyzer on using the following guidelines:

  1. Since you typically do not want to install any client software on the same system that hosts your SQL Server database, it is important that you do not install Total SQL Analyzer on your SQL Server Database system. Running client software on your server machine would detrimentally affect SQL Server performance. Install Total SQL Analyzer on a client computer.

  2. If you want to use Total SQL Analyzer to document SQL Server 2000 installations, do not install Total SQL Analyzer on a computer that has SQL Server 7 client tools or SQL Server 7 Data Management Objects (DMO) installed. If you install Total SQL Analyzer on a computer that has any SQL Server 7 client components installed, Total SQL Analyzer will use the existing SQL DMO 7.0 object library, which is not capable of accessing SQL Server 2000 databases.

  3. If you choose a computer that already has SQL Server 2000 client tools installed, the Total SQL Analyzer setup program will update your SQL Server 2000 DMO objects to Service Pack 1. This is necessary because of numerous issues related to the original shipping version of SQL Server 2000 DMO objects. The Service Pack 1 software has been certified by Microsoft to be fully backward compatible with the original shipping version. If your computer is relying on the original shipping version of SQL Server 2000 DMO objects, however, you may want to consider installing Total SQL Analyzer on a different computer.

NOTE: If you install Total SQL Analyzer on a computer that does not have SQL DMO 7.0 or 2000, your computer needs to have MDAC version 2.6 installed. You can download this file from http://www.microsoft.com/data/download.htm . The Total SQL Analyzer setup program will install SQL Server 2000 DMO objects (Service Pack 1), and you will be able to document SQL Server 7 and SQL Server 2000 installations.

Step 2 - Close all Programs

Before running Total SQL Analyzer setup, please close any other running programs, including virus scanners, disk utilities, and programs in your Windows Start folder.

Step 3 - Start the Setup Program

To start the setup process, insert the Total SQL Analyzer installation CD in your computer’s CD drive.

  • If your installation of Windows has AutoStart enabled for your CD drive, the setup program will automatically start.

  • If AutoStart is not enabled in your Windows installation, open My Computer and browse to the CD drive. Double-click on the SETUP.EXE program to start the installation.

When the setup program starts, follow the prompts to install Total SQL Analyzer.

Setup will ask you for your product serial number. This serial number is located on the packaging for your product CD. Keep your product serial number in a safe place—you will need it for any subsequent installations.

See also: Un-Installing Total SQL Analyzer


Un-Installing Total SQL Analyzer

To remove Total SQL Analyzer:

  • Run Add/Remove Programs from your Windows Control Panel.

  • Select Total SQL Analyzer from the list and press the [Add/Remove] button.

  • Choose the "Automatic" option to be sure you don’t uninstall files used by other programs.

  • Follow the Wizard interface to uninstall the program.

After a few moments, the Total SQL Analyzer program files and registry entries are deleted.

Uninstalling, however, does not delete any documentation databases you created with Total SQL Analyzer.

Those files remain in the Output sub-directory in the directory where Total SQL Analyzer was installed (unless you specifically directed them to be created in another directory). Use Windows Explorer to locate and delete the files. They should all end with the *.SDB file extension.


Starting the Program

Total SQL Analyzer is a standalone Windows program that is invoked from an executable file call TSA.EXE. When you run Setup, the program is installed in the directory you specified, along with other support files. Additionally, entries are added to your Windows Start Menu to make the program easy to find.

To start Total SQL Analyzer, select:

  • Start, Programs, FMS, Total SQL Analyzer, Run Total SQL Analyzer

Note that Total SQL Analyzer is a single-instance program. You can only run one copy at a time.


Jobs and Job Results

Before going further, you need to understand the basics of Jobs and Job Results.

When you are ready to generate documentation and analysis, you must first create a Job. A Job is a definition of work that contains important information such as:

  • Connection information for the Microsoft SQL Server you want to work with.

  • Object selections that define which objects within the server you want to include.

  • Settings that control what type of documentation and analysis are generated.

Jobs are defined per server. This means that a Job can contain object selections and options that affect documentation and analysis on one and only one server. See Page 2 - Server Selection for information on how to select a server for your Job.

After you have defined a Job, you can run it to create documentation and analysis. The resulting documentation and analysis is called a Job Result.

Once you have defined a Job, you can run it any number of times and end up with any number of Job Results. You can also create additional Jobs with specific object and option settings to make it easier to manage your documentation and analysis results.

Job Results are always saved unless you explicitly delete them, or overwrite their contents with a subsequent Job run. This capability makes it easy to keep documentation and analysis on disk over time. Having a historical record of your server and its objects and settings can be valuable as you maintain applications.

The key point is that the Job is a definition of what to do, and Job Results are files containing the documentation and analysis resulting from a Job run.


Introducing the Main Form

All of Total SQL Analyzer’s functionality is accessed from the product’s main form:

Figure 3.1 - The Main Form

The Main Form has the following key areas:


The Menu Bar

The menu bar provides quick access to much of the program’s functionality.

File Menu

  • New: Runs the Create New Job wizard. Use this to create a new Job that defines how documentation is performed.

  • Edit: Edits an existing Job. Use this to change settings, or objects selections and options in an existing Job.

  • Open: Displays the Job Manager that you can use to view a list of all existing Jobs and their Job Results.

  • Run: Runs an existing Job to create new documentation and analysis. Use this option to create a new run based on an existing Job.

  • Save As: Saves an existing Job under a new name. This is useful if you want to clone a Job and make changes.

  • Delete: Permanently deletes an existing Job.

  • Delete Job Result: Permanently deletes the Job Result that currently has focus in the treeview.

  • Details: Displays the Details dialog, providing more information about the item that currently has focus in the treeview.

  • Exit: Closes the Total SQL Analyzer program.

Tools Menu

  • Options: Opens the Options dialog, where you can change the location for Job Results, compact the Job data, or rebuild the Job storage file.

  • Reports: opens the Reports menu that allows you to print, preview, or export Total SQL Analyzer reports.

Help Menu

  • Contents: Opens the help file on the Contents page.

  • Index: Opens the help file on the Index page.

  • On the Web: Opens your web browser and takes you to the FMS site.

  • About: Displays program information, including version and user registration information.


The Toolbar

Below the menu bar is the toolbar. The toolbar has the following items:

The Job Dropdown:

Use the Jobs Dropdown to select from the list of defined Jobs. As you change Jobs, the Treeview will update with a list of all Job Results for the Job you selected.

The Toolbar Buttons

The following toolbar buttons provide shortcuts for various parts of the product.

Icon | Description
 | New : Opens the Create New Job Wizard. Pressing this button performs the same operation as File, New on the menu bar.
 | Edit : Opens the Edit Job Wizard. Pressing this button performs the same operation as File, Edit on the menu bar.
 | Open : Displays the Job Manager that you can use to view a list of all existing Jobs and their Job Results. Pressing this button performs the same operation as File, Open on the menu bar.
 | Run : Displays the Run Job dialog that you use to Run an existing Job. Pressing this button performs the same operation as File, Run on the menu bar.
 | Details : Displays the Details dialog providing more information about the item that currently has focus in the treeview. Pressing this button performs the same operation as File, Details on the menu bar.
 | Reports : Opens the Reports menu that allows you to print, preview, or export Total SQL Analyzer reports. Pressing this button performs the same operations as Tools, Reports on the menu bar.
 | Help : Opens the help file at the contents page.

The Job Results Display

The Job Results Display makes it easy to see which Job Result you are viewing while navigating through the treeview. As you change focus in the treeview by clicking on items, the Job Results Display updates with the name of the current Job Result.

The Treeview Path Display

As a convenience, the Treeview Path Display shows the full path of the current item in the treeview.


The Treeview

The Treeview shows the Job Results associated with the Job that is currently selected.

Total SQL Analyzer automatically remembers the state of the Main Form when you close it. The following values are saved: the window size and position, the value of the Jobs dropdown, the toolbar size and position, the splitter bar position, and the currently selected Job.


Creating a New Job

So now you’re ready to create your first Job. To do this, start Total SQL Analyzer and select File, New from the menu.

Page 1- Welcome

Page 2- Server Selection

Page 3- Specify Object Selection

Page 4- Object Selection Page

Page 5- Select Documentation Options

Page 6- Enter Job Properties

Page 7- Save and Run Your New Job


Page 1 - Welcome

After a moment, the Create New Job wizard form appears:

Figure 3.2 - New Job Wizard Start Page

Press the [Next] button to go to page 2.


Page 2 - Server Selection

Recall that Jobs are defined per server (see Jobs and Job Results for more information). Use this page to select the Microsoft SQL Server installation you want to document.

Figure 3.3 - New Job Server Selection Page

Choose Server

Use the Choose Server drop down to select the server you want to use. You can select a value from the drop down, or type in the name of a Microsoft SQL Server installation. The Microsoft SQL Server you choose must be running in order for Total SQL Analyzer to work.

Some versions of Microsoft Windows do not support the network libraries needed by Microsoft SQL Server to enumerate available servers. In general, if you are running on Windows NT or Windows 2000, the Choose Server dropdown is automatically populated with a list of all servers known to your network. On other versions of Windows, such as Windows 95, the list will be blank. In such a case, you must type the name of the server directly into the dropdown.

See Authentication Methods for more information on Page 2.

Press [Next] to move on to Page 3 - Specify Object Selection, or [Back] to move back to Page 1 - Welcome.


Authentication Methods

In order to access a Microsoft SQL Server installation, you must present valid information for authentication. Like Microsoft SQL Server, Total SQL Analyzer supports both Microsoft SQL Server authentication and Windows authentication.

Using Microsoft SQL Server Authentication.

If you want to use Microsoft SQL Server Authentication, you supply a valid login name and password as defined in the Microsoft SQL Server installation you want to document.

  • Login Name: Type in the login name of a valid user on the server to which you are connecting. You should log in as a user who has sufficient permissions to access all objects that you want to document. Typically, you would log in as a user who is a member of the sysadmin role, such as the sa user.

  • Login Password: Type in the password that is associated with the login name you entered above.

Using Windows Authentication

If you want to use Windows authentication, simply leave the Login Name and Login Password fields blank. This will cause Total SQL Analyzer to login to Microsoft SQL Server using your current Windows user account.

Security Note: Total SQL Analyzer automatically stores login names password values in its internal settings file located in the directory where you installed the product. This is necessary so that Total SQL Analyzer can use this information when it is asked to open a server during a scheduled Job.

Although the Total SQL Analyzer settings file encrypts login name and password values, this is merely to prevent casual snooping. This is the exact same way that Microsoft tools such as SQL Enterprise Manager work—they provide a simple way to protect login names and passwords, but no such method is 100% secure. If you are concerned about the security of this data, your best solution is to use NTFS file systems and Windows NT/Windows 2000 security. Using these technologies allows you to secure your local system from unwanted intrusion.

Remember Login Name and Password

Check this box to have Total SQL Analyzer automatically fill in any Login Name and Password values you previously entered for a particular server.

Test Connection

Press this button to test Total SQL Analyzer’s ability to connect to the server you specified using the login name and password you specified. If the connection succeeds, you are ready to go on to the next page of the New Job Wizard.

If the connection fails, check the values you entered or go through the Connection Troubleshooter below.

Connection Troubleshooter: If you are having trouble establishing a connection to a server, follow these tips to troubleshoot common problems:

  • Make sure the Microsoft SQL Server you are trying to connect to is running. Total SQL Analyzer cannot connect to Microsoft SQL Server installations that are not running.

  • If you are running Windows 95, 98 or ME, you will have to type in the exact name of the server you want. Double-check your spelling, and ensure that you don’t have any unintended spaces.

  • Check your Network Library Client Configuration values. If you are using TCP/IP as your transport mechanism, make sure this is selected in the ODBC Data Sources/Network Library Client Configuration Tool.

Press [Next] to move on to Page 3 - Specify Object Selection, or [Back] to move back to Page 1 - Welcome.


Page 3 - Specify Object Selection

On Page 3, tell Total SQL Analyzer how you want to select objects for inclusion in the Job.

Figure 3.4 - Object Selection Mode Page

Total SQL Analyzer offers three ways to select objects:

Select by Type

Use this option to select objects by their type. For example, you can define the Job to document all tables and views, or all stored procedures. This method is useful when you want to select all objects of a specific type instead of specific objects, but you do not want to document all objects in your server.

When you use this option, you can be sure that Total SQL Analyzer will include all objects of the types you specified every time the Job is run. This is useful as you repeatedly run the Job and Total SQL Analyzer encounters new objects in your server. For example, if you Select by Type, and decide to include tables, all tables are included every time the Job is run. This includes tables that weren’t defined when the Job was first created.

Select by Object

Use this option to select specific objects as they exist in your server. This method is useful when you want to select specific tables or views, or any other object type, but you do not want to include all objects in your server.

When you use this option, you cannot be sure that Total SQL Analyzer will include any new objects in your server. For example, if you select all the table objects, these table object names are saved with the Job. Later, if new tables are added, the Job will not include them. For this reason, using the Select by Type option is a better strategy if you anticipate that new objects will be added to your server after you have defined your Job.

Document all Objects

Use this option to select all objects in your server. This is the quickest way to ensure complete documentation and analysis. Since all objects are scanned, however, it is the most time-consuming.

As with the Select by Type option, the Document All Objects option ensures that all objects in the server are scanned, regardless of whether or not they existed in the server at the time the Job was created.

If you are unsure of which options and objects to select, and you want to have complete documentation and analysis performed, select the Document All Object option. Note that when you Select by Type or by Object, Total SQL Analyzer selects all objects by default.

After you have decided on how you want to select objects, press the [Next] button to move on to Page 4 - Object Selection Page, or the [Back] button to go back to Page 2 - Server Selection.


Page 4 - Object Selection Page

The contents of page 4 on the New Job Wizard depend on how you decided to select objects on page 3.

Select by Type

If you specified Select by Type on the previous page, the following page appears:

Figure 3.5 - Select Objects by Type

This page allows you to specify object types that you want to document. To select object types, click on the corresponding checkbox in the treeview. Use the [Select All] button to select all nodes in the treeview, and [Clear All] to clear all nodes.

Note that there is no checkbox next to the Server item in the treeview. This is because Total SQL Analyzer needs to document Server information automatically for every Job.

The Document System Objects checkbox controls how Total SQL Analyzer handles Microsoft SQL Server System Objects. If you check the box, the Job will include all system objects for the object types you select. For example, if you select Databases and check the Document System Objects checkbox, Total SQL Analyzer will include all system tables and other system objects in each of the databases in your server. Note that changing the value of this textbox resets all objects to unselected.

Documenting System Objects ensures complete documentation of your Microsoft SQL Server installation, but can add substantial time to the Job Run.

Select by Object

If you specified the Select by Object option on the previous page, the following page appears:

Figure 3.6 - Select Objects by Object

Unlike the Select by Type page, this page shows the actual objects as they exist in your server. Select specific objects by clicking on the checkbox next to the node in the treeview that represents the object.

You’ll notice that the checkbox appearance changes as you select objects.

  • An empty checkbox indicates that neither the item nor any of its child items are selected.

  • A checkmark indicates that the item and all of its child items are selected.

  • A red triangle indicates that the object and/or one or more if its child items are selected.

You will also notice the Show System Objects checkbox. By default, this checkbox is unchecked, meaning Total SQL Analyzer does not include Microsoft SQL Server System Objects in the treeview. If you want to include System Objects in your Job, check this checkbox. The treeview is redrawn showing all system objects. Check the objects you want to include. Note that including system objects adds to both the time taken to run a Job, and the disk space needed to store Job Results.

Document All Objects

If selected the Document All Objects option, no object/item selection form appears because you have elected to include all objects. Note that Microsoft SQL Server System objects are automatically included in the Job.

When you have made your selections, press the [Next] button to move to Page 5 - Select Documentation Options, or the [Back] button to go back to Page 3 - Specify Object Selection.


Page 5 - Select Documentation Options

Use this page to specify additional options for your Job.

Figure 3.7 - Select Documentation Options

Document Table Row Count

Turn this option on to tell Total SQL Analyzer to get the row count value of all tables included for documentation in the Job. The row count data is useful for documenting the size of tables, especially as they grow over time. However, there is a performance cost associated with this option. Getting row counts forces Total SQL Analyzer to query the actual table data, resulting in a longer Job time and an additional load on your server.

Minimize Server Load

Minimize Server Load tells Total SQL Analyzer to pause between operations to allow the server to experience less of a load. This increases the time it takes to run the Job, but decreases the load on the server as the Job runs.

If you are running Total SQL Analyzer against a production (i.e. in-use) Microsoft SQL Server, you may want to consider checking the Minimize Server Load option.

Document Detailed Server Configuration Settings

Checking this option tells Total SQL Analyzer to include detailed information about your Microsoft SQL Server configuration. This information includes all data stored in the sysConfigures system table. For more information on these values, consult your Microsoft SQL Server documentation.

Document Server Registry Settings

Microsoft SQL Server stores several of its configuration options in the Windows registry. Check the Document Server Registry Settings checkbox if you want to include this information in your Job.

Press the [Next] button to move to Page 6 - Enter Job Properties , or the [Back] button to go back to Page 4 - Object Selection Page.


Page 6 - Enter Job Properties

Use this page to define a name and description for your Job, and to define how the output should be written.

Figure 3.8 - Enter Job Properties Page

Job Name

Enter a name for your Job. The Job name you choose should be descriptive enough to make it easy to identify the Job in a list of Jobs.

Job Description

Enter a description for your Job. This field can contain information that will help remind you about the specific reason for the Job, or information about when it was created or updated.

Overwrite Options

When a Job runs, it stores its output in a Job Results file. You can tell Total SQL Analyzer to always overwrite the same Job Results file for the Job, or to create a new Job Results file each time. Your choice depends on whether or not you want to keep historical results of Job runs.

Do not overwrite results: this option will create a new Job Results file each time the Job is run. The new file name will contain the Job Name along with the date and time the Job was run. Use this option to ensure that Job Results are always preserved, providing you with a chronological view of your Microsoft SQL Server installations.

Note that selecting the Do Not Overwrite Results option means that you may end up using a large amount of disk space over time as new Job Results files are created.

Always overwrite results: this option will overwrite the Job Results file for the specific Job every time the Job is run. Use this option if you are not concerned about keeping historical Job Results.

Press the [Next] button to move to Page 7: Save and Run Your New Job , or the [Back] button to go back to Page 5 - Select Documentation Options.


Page 6: Save and Run Your New Job

Page 7: Save and Run Your New Job

Congratulations! You have now successfully defined your Job.

Figure 3.9 -The Final Job Wizard Page

Now you must decide if you want to run your Job now or later.

Save and Run Job Now

Select this option to save and immediately run your new Job.

Save and Schedule Job Now

Select this option to tell Total SQL Analyzer to save your Job and display the Job Run dialog. You can use the Run Job dialog to schedule the Job to run at a later time.

Save Job

Select this option to save your Job and immediately return to the Total SQL Analyzer Main Window without running or scheduling the Job.

Canceling a New Job

You can press [Cancel] from any page on the New Job wizard if you want Total SQL Analyzer to discard the new Job and return to the Main Program form.

Press [Finish] to run the Job, or [Back] to go back to Page 6 - Enter Job Properties.


Running Jobs

Total SQL Analyzer provides two ways to run Jobs: immediately, or scheduled for a later time.

To select either of these options, select File, Run from the menu bar, or press the Run icon [image] on the toolbar. The Run Job dialog appears:

Figure 3.10 - The Run Job Dialog

This dialog shows the name of the Job and the whether the Job Results file will be overwritten or a new one will be created. You can also specify when the Job should start.

Run Now

Select Run Now and press the [OK] button to run the Job immediately.

Run Later

To schedule a job for a later date, select Run Later, and enter a start time using the date and time controls. Press [OK] and Total SQL Analyzer waits until the set date and time are reached to run the Job.

If you have a Job scheduled, the Run Job form stays on your screen until the Job runs. If you want to cancel the scheduled Job, press the [Cancel] button.

The Run Later option is useful in several scenarios. The first scenario is when you need to use your computer for other tasks and don’t want Total SQL Analyzer to slow down your work. In such a case, schedule a Job for a later time, perhaps after you have left your computer for the day.

Another scenario is when you want to minimize the performance impact on your server. For example, if the Microsoft SQL Server installation you specified in your Job is a production server, you may want to consider scheduling documentation for late at night or early in the morning, when the server load is the lightest.


The Status Form

When Total SQL Analyzer starts running your Job, it displays the Status form.

Figure 3.11 - The Status Form

This form keeps you informed of the current object that Total SQL Analyzer is working on, along with the overall status.

Note The Status Form is modal. This means that you cannot use other parts of the program while documentation is running.

You can press [Cancel] at any time to cancel the Job run. If you cancel the Job run, all results generated for that run are discarded.


Selecting Jobs and Job Results

Total SQL Analyzer includes several tools that make it easy to select the Jobs and Job Results you want to manage.

Using the Job Manager

The quickest way to sort through existing Jobs and Job Results is to use the Job Manager. From the program’s Main Form, select File, Open or press the Open icon [image] on the toolbar to show the Job Manager.

Figure 4.1 - The Job Manager

The top area of this form shows all the Jobs you have defined. Included is the name of the Job’s server, along with the User Name used to log in and when the Job was created and last modified.

The bottom area of the form shows all the Job Results associated with the Job that currently has focus. Highlight specific Jobs to see the applicable Job Results list.

To activate a specific set of Job Results, select the Job Result by clicking on it and then press the [OK] button.

As you accumulate many Job Results, you may find it easier to manage a long list of Jobs by having a report listing all Jobs and Job Results. Total SQL Analyzer includes a report that shows you this data. Simply print or export the "List of Jobs Sorted By Job" report from the Reports Form.

Using the Toolbar

You can also use the Toolbar directly to open Jobs.

From the Job dropdown, simply select the Job you want, and the main Program Form will update to show the Job Results for that Job.


Editing Jobs

You can make changes to existing Jobs using the Edit Job Wizard. To do this, select the Job in the Job dropdown on the toolbar, and select File, Edit from the menu, or press the Edit Job icon [image] on the toolbar.

Using the Edit Job Wizard is almost identical to the Create Job Wizard, with the following exceptions:

  • You cannot change the server name or Job name when you edit a Job. If you need to change these values, you need to create a new Job.

  • To edit an existing Job, the Microsoft SQL Server that the Job points to must be running.

  • If you change the option from "Do not overwrite results" to "Always overwrite results", will delete ALL Job Results that currently exist for the Job.

Make your changes and save them on the last page of the Wizard.


Managing Jobs and Job Results

There are some additional tools you can use to manage Jobs and Jobs Results:


Deleting Items

To delete a Job, highlight the Job in the Jobs dropdown and select File, Delete from the menu. A confirmation prompt appears asking you to confirm the deletion. Press [Yes] if you want to delete the specified Job and all its Job Result files, or [No] to cancel and return to the Main Form.

Important: Note that deleting a Job permanently deletes the Job and all results created from the Job. If the Job or its Job Results contain information that is important to you, consider making a backup or archival copy of the files before deleting them. For more information on making backups, see Making Backups of Data Files .

To delete a Job Result, highlight it in the treeview and select File, Delete Job Result from the menu. A confirmation prompt appears asking you to confirm the deletion. Press [Yes] if you want to delete the specified Job Result, or [No] to cancel and return to the Main Form. Deleting a Job Result has no effect on any Job files. In other words, you can delete a Job Result without impacting other Job Results or Jobs.


Using Save As

If you want to create a new version of a Job, you can use Save As to create a copy of a Job and edit it. To do this, select the Job in the Job dropdown on the toolbar, and then select File, Save As from the menu. You are prompted for a new name; type in your new name and press [OK] to create the new copy.

Figure 4.2 – The Save As Dialog

Note that when you use Save As, your new Job is identical to the source Job except that it does not have any Job Results associated with it.


The Options Dialog

The Options Dialog allows you to manage and maintain Job data. Select Tools, Options from the menu to view or modify the options.

Figure 4.2 – The Options Dialog

From this form, you can change the location of the Job data, Compact and Repair the Job data, and rebuild the Job storage file. See Making Backups of Data Files, Rebuilding the Job Storage File, and Compacting Job Data for more information about these options.


Making Backups of Data Files

One of the most important features of Total SQL Analyzer is the ability to save Job Results over time. This is invaluable when you want to track changes and additions to Microsoft SQL Server configurations and objects over time. In order to safeguard the data that Total SQL Analyzer creates, you should maintain regular backups of important data.

Where Data is Stored

Total SQL Analyzer stores data in two places.

The Job Storage File contains the data that defines each Job, along with a set of pointers to the Job Results files for each Job. This file is created and maintained by Total SQL Analyzer; you do not need to back up the Jobs Storage file. If the file ever gets accidentally deleted, or if you need to recreate it on another machine, you run the Rebuild Jobs Storage File utility.

The Job Results Files contain the actual results of running Jobs. These files are stored in the Job Data directory. Job Results files should be backed up regularly.

Making Backups of Job Results

To make a backup of your Job Results file, first locate the directory where they are stored. By default, this directory is called output and is located under the directory where you installed Total SQL Analyzer.

You can change this location using Tools, Options from the Main Menu. See the Tools Menu for more information on changing the location of the Job Data directory.

Once you have located the directory, look for all files with an extension of .SDB—these are the Job Results files. To make backups, copy the files to archive media or include the files in a backup schedule using Windows backup software.

If your computer is part of a network, chances are that your network is connected to existing backup software somewhere. You should consider contacting your system administrator to see if you can copy your .SDB files to a shared network location that is already part of an established backup schedule.


Rebuilding the Job Storage File

As mentioned above, Total SQL Analyzer uses a central file to store all Job definitions and pointers to Job Results files. This file is created and maintained by Total SQL Analyzer—you should never edit or delete it. However, there may be instances where you need to rebuild the Job Storage File. This can happen if:

  • The Job Storage file becomes corrupt or is accidentally deleted.

  • You have to restore Job Results files from a backup or migrate them (and the Total SQL Analyzer program) to another machine.

  • You receive Job Results files from another Total SQL Analyzer user and want to use your installation of the program to view them.

To Rebuild the Job Storage File, select Tools, Options from the menu. When the Options form appears, press the [Rebuild] button. This operation does the following:

  • Deletes the current Job Storage file if it exists.

  • Reads all Job Results in the currently defined output directory and creates new Job entries for them.

Note that the Rebuild Job Storage File utility looks for Job Results files in the directory that you currently have defined as your Output directory. For example, if you made backups of your Job Results files and they were stored in a non-default directory, you will need to change your Output directory (under Tools, Options from the menu) before running the Rebuild Job Storage File utility.


Compacting Job Data

Over time, the Total SQL Analyzer Job Storage File may become fragmented. This can happen as you create, edit, and delete Jobs. To keep Total SQL Analyzer running in top shape, you should periodically compact the Job Storage File.

To do this, select Tools, Options from the menu. Then press the [Compact Now] button. This operation should not take more than a few minutes.


Overview

Overview of Viewing Job Results

Although Total SQL Analyzer includes over 70 presentation-quality reports that you can print or send to a file, there are times when you want to view documentation of your server without running reports.

Total SQL Analyzer provides a powerful Documentation Explorer that allows you to see Job Results in a hierarchical browser before you print. The View capability is especially useful in the following scenarios:

  • Before you Print: Use the Documentation Explorer to verify that all the objects you selected for the Job were successfully documented.

  • During Development: Quickly spot errors, issues, and performance bottlenecks as you develop.

For more information, see View or Print?


View or Print?

The Documentation Explorer shows data in a tabular grid display and is very useful for ad-hoc documentation viewing. Reports, on the other hand, provide rich formatting and grouping, and include both overview and detailed views of data. Fortunately, you do not have to choose one or the other—you can use both as your needs dictate.

Another consideration is that reports can be rather large, depending on the number of objects you documented and their complexity. If you need to locate specific objects and properties quickly, the Documentation Explorer may be a better choice.

Finally, the Documentation Explorer gives you the ability to use a Property Filter to see all values for a specific property across a group of objects. This can be a useful capability during your development cycle as you check for application consistency.


The Documentation Explorer

The Documentation Explorer is integrated into the Total SQL Analyzer Main Form. It consists of:

  • The treeview on the left shows all Job, and Job Results in a hierarchical fashion that emulates the Microsoft SQL Server object hierarchy.

  • A series of tabs on the right show summary information, detailed property documentation, potential design issues, and performance tips.

Figure 5.1 - The View Form

Jobs and Job Results in the Treeview

You can use the treeview to navigate through specific Job Results. Remember that you select a specific Job using the Jobs Dropdown on the toolbar (see Selecting Jobs and Job Results for more information). Once you have selected a Job, the treeview updates to show all Job Results associated with that Job.

Job Results are identified by the date and time they are created. As you run Jobs and create multiple Job Results, you will see additional entries in the treeview.

To select a specific Job Result, simply click on it in the treeview. All nodes below that Job Result represent the objects in your Microsoft SQL Server installation as they existed at the time the Job was run.

Use the [+] and [-] buttons in the treeview to expand and collapse nodes. This makes it easier to find specific objects, or hide objects that you are not currently viewing.

As you navigate through Job Results, you may find yourself nested many levels deep within the treeview. Sometimes this may make it difficult for you to determine which Job Result or path you are currently viewing. To help find your way, remember that you can look at:

The Job Dropdown to see which Job you are viewing:

The Job Results Display to see which Job Result you are viewing:

The Treeview Path Display to see then entire path of the node that is currently selected:

See The Toolbar for more information.

Missing Objects

Note that only objects that you selected for inclusion in your Job will show up in the treeview. If you find that specific objects are missing, it is because you didn’t select those objects for documentation. See Page 4 - Object Selection Page for more information on selecting objects for Jobs.


The Documentation Explorer Tabs

The treeview shows you the objects included in the Job Results. But the real power of the Documentation Explorer lives in the tabs to the right of the treeview; the Tabs contain the actual contents of the Job Results.

The Summary Tab

For each object in the treeview, Total SQL Analyzer prepares a list of summary properties. These properties are a subset of all the properties documented, and are selected to show you an overview of the object.

To see a summary, click on a node in the treeview and select the Summary tab.

Figure 5.2 - The Summary Tab

The Properties Tab

Total SQL Analyzer documents every property for the objects you select in your Job. To see all property values, click on a node in the treeview and select the Properties tab.

Figure 5.3 - The Properties Tab

By default the Properties Tab is sorted by the order in which the property was documented when the Job Result was created. You can change the sort order if you want. See Sorting in the Tabs for details.

The Issues Tab

Total SQL Analyzer provides information about your SQL Server installations that goes beyond documentation. As a Job is run, the program evaluates many properties and settings to identify potential issues.

To view the Issues detected, click on the desired node in the treeview and select the Issues tab on the right of the Main Program form.

Figure 5.4 - The Issues Tab

As with items in the treeview, issues are only detected for objects you selected for inclusion in your Job.

Total SQL Analyzer checks for many types of specific issues. See Issues for a complete list of issues.

The Performance Tips Tab

Performance issues are one of the key areas of concerns in database design and development. As Total SQL Analyzer scans your selected objects, it analyzes property values and settings to identify potential performance issues.

To view the Performance Tips detected, click on the desired node in the treeview and select the Performance Tips tab on the right of the Main Program form.

Figure 5.5 - The Performance Tips Tab

As with items in the treeview, Performance Tips are only detected for objects you selected for inclusion in your Job.

Total SQL Analyzer checks for many types of specific performance tips. See Performance Tips for a complete list of performance tips.


Sorting in the Tabs

Each of the tabs supports column sorting. To sort, simply right-click anywhere in the list, and a sort popup appears:

Figure 5.6 - Sorting Columns

Select the desired sort order and the grid updates according to the sort you selected. When viewing the Summary or Properties tabs, you can sort on property name. On the Issues and Performance Tips tabs, you can sort by object name.


The Details Dialog

As you navigate through property values using the different tabs, you will find places where the property value is too large for the window. This is typically the case with properties such as Script, which contains the SQL used to create the object.

Below is an example of where the Script property is not completely visible.

Figure 5.7 - Hidden Property Values

Because you can only resize a column as wide as the window itself, in some cases it may be difficult to work with long property values. To solve this problem, you can double click on the property to open the Details Dialog. This dialog shows the entire property value in a scrollable window:


The Property Filter

Often, when looking at the structures of your Microsoft SQL Server objects, you want to see a specific property value across objects of the same type. For example, you may want to see the CreateDate property value for all tables.

To make this possible, Total SQL Analyzer provides a Property Filter. This filter is accessible through a drop-down menu on the Property Tab. Whenever the current treeview node is a collection of objects, such as the "Tables" node, or the "Views" node, the Property Filter updates to show a drop-down of all properties available for that object type.

Figure 5.9 - Using the Property Filter

To use the Property Filter, simply select the property you want from the list. The Properties Tab updates to show that property value across all objects contained in the current treeview node.


Reports Overview

With over 70 reports, Total SQL Analyzer provides all the output you need to see what’s going on in Microsoft SQL Server. The Reports system has the following features:

  • Choose from the list of reports for each object type in Microsoft SQL Server.

  • Filter to select specific objects to include in the reports.

  • Preview single reports, or select multiple reports for output.

  • Customize the appearance of your reports using the Report Options.

  • Export report data to other formats such as HTML or RTF using the Export tools.

See Total SQL Analyzer Report List for a list of available reports.


The Reports Form

To work with reports, select Tools, Reports from the menu, or press the Reports [image] button on the toolbar. The Reports Form appears:

Figure 6.1 - The Reports Form


The Reports Form and Jobs

When you open the Reports Form, the reports you choose will use data from the Job Result that currently has focus in the Main Form. Note that the last report you checked may not be the report that has focus. Please ensure that the report you want to preview is highlighted in the Treeview.

If you want to view reports from a different Job Result, close the Reports Form, select a different Job Result in the Main Form treeview, and open the Reports form again.


Using the Treeview

The Treeview contains a node for each of the Total SQL Analyzer reports, grouped by the type of object. At the top of the tree are the Server Reports, with all sub-objects below. Use the treeview [+] buttons to expand the report list below object types.

The treeview contains three columns. The Report Name and Description columns show the name of the report and a description of its contents. The Filterable column shows whether or not the report uses your Object Filter settings.

See Report Categories for a list of available categories, and Total SQL Analyzer Report List for a list of available reports.


Report Categories

Reports in Total SQL Analyzer are organized in the treeview by categories that match the object hierarchy of Microsoft SQL Server itself. The following table lists each of the Report Categories.

Category | Description
Backup Devices | Information about Microsoft SQL Server backup devices, including a backup device list and properties
Databases | Information about scripts, object inventory, database lists, and properties and settings
Database Roles | Information about Database Roles
Defaults | Information about Microsoft SQL Server Defaults and their properties
File Groups | Information about Database File Groups and properties
Full Text Service | Information about the properties for the Microsoft SQL Server Full Text Service
Issues | Issues detected by Total SQL Analyzer in the objects selected in the Job
Languages | Information about installed language properties
Linked Servers | Information about linked servers connected to the current server
Logins | Microsoft SQL Server Login objects and properties
Performance | Performance suggestions detected by Total SQL Analyzer in the objects selected in the Job
Remote Servers | Remote servers and properties
Replication | Information about replication, including properties and objects
Server | Information about the Microsoft SQL Server object itself, including server properties and object inventories
Server Roles | Information about Microsoft SQL Server Roles settings and properties
SQL Agent | Information about the properties for SQL Agent
Stored Procedures | Information about stored procedures including properties and TSQL
System | Reports specific to Total SQL Analyzer, such as a list of all reports and a list of all Total SQL Analyzer Jobs.
Tables | Information about tables including properties, columns, triggers, keys and indexes
Transaction Logs | Information about transaction logs
User Defined Data Types | Information about user defined data types
Users | Information about user objects and properties
Views | Information about views including properties and TSQL

To see a complete list of all reports, see Total SQL Analyzer Report List.


Previewing Reports

To preview a report, simply highlight it in the treeview and press the [Preview] button. The following preview form appears with the first page of your selected report visible.

Figure 6.2 - Previewing Reports


Report Preview Toolbar

There are a variety of tools available in the Preview Form toolbar.

Icon | Description
 | Print: Displays the print dialog, allowing you to print the current report. See Printing from the Preview Form for more information.
 | Refresh: Refreshes the view of the data. Since Total SQL Analyzer data is static (i.e. it only changes when you run the Job), you should not need to use the Refresh button.
 | Toggle Group Tree : Turns the Group Tree on or off. The Group Tree is an additional display that appears on the side of the Preview Form making it easier to navigate through grouped data.
 | Zoom: Changes the zoom level on the page.
 | First Page: Moves to the first page of the report.
 | Previous Page: Moves to the previous page of the report.
 | Page Navigator: Displays the current page position. You can also type in a specific page number and press [Enter] to move to that page.
 | Next Page: Moves to the next page of the report.
 | Last Page: Moves to the last page of the report.
 | Stop: Stops the refreshing of data. This is useful in long reports.
 | Search Text: Invokes the Search Dialog. Type in a value you want to locate within the current report.


Using the Group Tree

When you are working with reports that are grouped by a particular data element (as most Total SQL Analyzer reports are), you can make navigation through long reports easier by using the Group Tree. Turn the Group Tree on by pressing the Group Tree button [image] on the toolbar. The Preview Form display changes to include the Group Tree on the left.

The Group Tree is a treeview with nodes for each grouping level in the report. Use the [+] and [-] buttons to expand and collapse groups, and click on specific nodes to move to the corresponding page in the report.

You can turn the Group Tree off by pressing the toolbar Group Tree button again.


Printing from the Preview Form

Any report that appears in the Preview Form can be printed. Simply press the Print button [image] on the toolbar. The following print dialog appears:

Figure 6.3 - The Print Dialog

Select the Print Range and Copies settings you want and press [OK] to launch the print Job.

Note: Total SQL Analyzer reports use the Windows Default printer. If you want to print reports to a different printer, change your Windows Default printer using the Windows "Printers" Control Panel application.


Printing and Exporting Reports

Total SQL Analyzer provides the ability to print or export reports one at a time or as a group.


Selecting Reports to Output

Select the reports you want to output by checking the box next to the report name in the treeview. Note that some reports (such as property reports) may span many printed pages. Be careful not to select more reports than you need to avoid overly long print jobs.

Be sure to set your preferences in the Report Style dialog before sending reports to the printer. This can save you the trouble of having to re-print your selected reports after you define your customer headers and other Style options.

To start with an empty selection list, simply press the [Clear All] button on the Reports Form.

Figure 6.4 - Selecting Reports


The Report Output Dialog

Once you have made your selections, press the [Output] button. This displays the Report Output Dialog.

Figure 6.5 - Report Output

Use this dialog to control how Total SQL Analyzer generates output.

Generate the Following Reports

To output all the reports that are currently checked on the Reports Form, select the "All checked reports" option. To output only the currently selected report (i.e. the report that is currently highlighted in the treeview), select the "Currently selected report only" option. Note that if you do no have a report highlighted in the treeview on the Reports Form, this option is disabled.

Send To

You can send the results of a report to a printer, or to a file. To print the selected report(s), select the Printer option. To send the selected report(s) to an external file or application, select the File option. If you select File, you can also specify the Output Type and the Folder where you want the results to be stored.

Note: Total SQL Analyzer reports use the Windows Default printer. If you want to print reports to a different printer, change your Windows Default printer using the Windows "Printers" Control Panel application.

When you have made your selections, press [OK] to start the output. You will then see The Status Form.


The Status Form

As output is generated, Total SQL Analyzer displays a status form. This is useful to keep track of long output Jobs, especially when you have selected multiple reports. The appearance of the status form is slightly different depending on your choice for output. If you select Printer as your destination, the following status form appears:

Figure 6.6- The Print Status Form

If you select File as your destination, the following status form appears:

Figure 6.7- The Export Status Form

You may press the [Cancel] button at any time to stop the output. Pressing [Cancel] when outputting to a printer will cancel the entire output Job, while pressing [Cancel] when outputting to a file will cancel only the report that is currently being created.


Report Style

Total SQL Analyzer provides several options so you can customize the appearance of reports. You can customize headers and footers, and date and time format.

Figure 6.8 - Headers and Footers on a Report

The Report Style Dialog

Press the [Style] button on the Reports Form to change these options.

Figure 6.9 - Report Style

Header 1

You can specify a custom header that you want to appear at the top of each report. By default, the header is "Total SQL Analyzer." You can change this value to reflect the name of the project you are working on, your company name, or any text value you want up to 27 characters.

Header 2

You can specify a second custom header that appears below the first header. Type in the text you want to appear. This field is limited to 64 characters.

Footer

The Footer is customizable text that appears at the bottom left of each page. You can type up to 64 characters into this field

Tokens

The Header 2 and Footer field support tokens. These are values replaced with actual data by Total SQL Analyzer when the report is run. The following tokens are supported:

#SERVER# Inserts the name of the server at runtime.

#JOB# Inserts the name of the job at runtime.

For example, if you type Server: #SERVER# into the Header 2 textbox, the report will print the string "Server: " followed by the name of the server that the Job Result applies to.

Date and Time Formats

All Total SQL Analyzer reports include the date and time the Job Results were created. Use the Date and Time Formats dropdowns to specify the format you want to use.

Press [OK] to save your changes. All subsequent reports will use your new settings.

Total SQL Analyzer looks at your Windows Regional Settings to build its list of date and time formats. If you want a format that is not in the list, simply modify your Regional Settings through the Windows Control Panel.


Filtering Objects

Total SQL Analyzer provides a way to filter many of the reports so you can control which objects appear in the report. To open the Object Filter, press the [Edit] button on the Report Form. After a moment, the Object Filter dialog appears.

Figure 6.10 - Object Filter

Use this dialog to select which of the documented objects you want to include in the filtered report. Selections you make here affect all reports that are Filterable. To determine if a report is filterable, see the Filterable column in the Report Form treeview.

Once you have made your selections, press [OK] to save them and return the Report Form.

Turning the Filter On and Off

In order to make your filter selections active, select the Filter On option. To turn the filter off, and have reports show all documented options, select the Filter Off option. Note that turning the filter on and off has no effect on your selections—these are saved with your Job and remain in place until you change them.


Troubleshooting

There are many resources available to resolve issues you may encounter. Please check the following:

Readme File

Check the README file for the latest product information. The README file can be opened from the Start group of Total SQL Analyzer.

User Guide

We’ve spent a great deal of care and time to make sure the Total SQL Analyzer User Guide is very detailed. Check the Table of Contents and Index for your question then read the appropriate pages.

Online Help

The Online Help system is also very detailed. Consult the Contents or Index of the Online Help files to find the information you need.


Web Site Support

The FMS web site contains extensive resources to help you use our products better. Resources include product updates, frequently asked questions (also known as FAQs), newsgroups, information on new versions, betas, and other resources.

Home Page

The FMS home page is located at

www.fmsinc.com

News and important announcements are posted here.

Support Site

The main support page is located at

www.fmsinc.com/support/

From this page, you can quickly locate the other support resources:

Product Updates

FMS takes product quality very seriously. When bugs are reported and we can fix them, we make the updates available on our web site. If you are encountering problems with our product, make sure you are using the latest version.

Product updates can also be checked using the Update Wizard. From the Windows Start menu, select the Update Wizard under your product group.

Frequently Asked Questions (FAQs)

Common questions and additional information beyond what is in the manual are often available from our FAQs.

Newsgroups

FMS also has general and product specific newsgroups. Connect with FMS Technical Support and other users there. Share your experiences, learn from others, and ask your questions in our virtual community. Point your web browser to:

www.fmsinc.com/support/newsgrp.htm

or visit our web site for additional information.

Microsoft Patches

Our support site also includes links to Microsoft patches that are related to our products. Make sure you’re using the latest versions by checking here or visiting the Microsoft site.


Contacting Technical Support

If the previous suggestions fail to resolve your problem, contact our technical support department. We are very interested in making sure you are satisfied with our product.

Registering Your Software

Please register your copy of Total SQL Analyzer. You must be registered to receive technical support. Registration also entitles you to free product updates, notifications, information about upcoming products, and beta invitations. You can even receive free email notification of our latest news.

You may register your software by mailing in your registration card or directly from our web site.

Support for Licensed Developers Only

FMS provides technical support for licensed developers using or distributing Total SQL Analyzer. FMS does not, however, provide technical support or customer service for users of your applications—this is your responsibility.

Contact Us

The best way to contact us is via email at:

  • Email: support@fmsinc.com

With the exception of installation problems, telephone support is not currently available.

Please provide detailed information on the problem. This should include the name of the product, version, your operating system, and the specific problem. If the product generated an error file, please submit that as well.

With email, technical support issues can be more accurately resolved and tracked in our internal technical support system. It also gives us more time to understand the entire problem and allows our technical support staff to contact the developers with the entire story when necessary. Please bear in mind that a unique issue may involve meetings between the technical support staff and product developers, so your patience is appreciated.

Microsoft Technical Support

FMS only provides technical support for its products. If you have questions regarding Microsoft Windows, Microsoft Office, or Microsoft Visual Basic, please contact Microsoft technical support, or use the FMS newsgroups.


Total SQL Analyzer Report List

The following list of Total SQL Analyzer reports is sorted alphabetically by category.

Backup Device Reports
Backup Device List | Sorted by Property Name
Backup Device Properties | Sorted by Device Name
Database Reports
Database List | Sorted by Database Name
Database Object Inventory | Sorted by Database and Object
Database Properties and Settings | Sorted by Property Name
Database Scripts, Sorted by Database | Sorted by Database
Table Columns, Sorted by Database and Column Name | Sorted by Database and Column
Database Role Reports
Database Role Properties | Sorted by Role
Defaults Reports
Default Properties | Sorted by Default
File Group Reports
File Group Properties | Sorted by File Group
Full Text Reports
Full Text Catalog Properties | Sorted by Full Text Catalog
Full Text Service Properties | Sorted by Property Name
Issues Reports
Column Consistency Report | Sorted by Column and Table
Issues and Performance Tips | Sorted by Item
Issues and Performance Tips | Sorted by Object Type
Language Reports
Language Properties | Sorted by Language
Linked Server Reports
Linked Server List | Sorted by Linked Server
Login Reports
Full Text Catalog Reports | Sorted by Login
Remote Server Reports
Remote Server Properties | Sorted by Remote Server
Replication Reports
Replication Database Properties | Sorted by Database
Replication Distributor Properties | Sorted by Property Name
Replication Properties | Sorted by Property Name
Replication Publisher Properties | Sorted by Property Name
Replication Subscriber Properties | Sorted by Property Name
Rule Reports
Rule Properties | Sorted by Rule
Server Reports
Non-Database Scripts Report, Sorted by Object Type | Sorted by Object Type
Server Properties | Sorted by Property Name
Server Summary | Sorted by Property
Server Role Reports
Server Role Properties | Sorted by Server Role
SQL Agent Reports
Job Server Job Steps | Sorted by Job
SQL Agent Alert Categories | Sorted by Category
SQL Agent Alert System | Sorted by Property Name
SQL Agent Alerts | Sorted by Alert
SQL Agent Job Categories | Sorted by Category
SQL Agent Job Properties | Sorted by Job
SQL Agent Job Schedule | Sorted by Job
SQL Agent Operator Categories | Sorted by Category
SQL Agent Operators | Sorted by Operator
SQL Agent Properties | Sorted by Property Name
SQL Agent Target Server Groups | Sorted by Target Server Group
SQL Agent Target Servers | Sorted by Target Server
Stored Procedure Reports
Stored Procedure List with T-SQL | Sorted by Procedure
Stored Procedure Properties | Sorted by Procedure
Stored Procedure Properties | Sorted by Property Name
System Reports
List of Issues and Performance Tips | Sorted by Item
List of Jobs | Sorted by Job
List of Reports | Sorted by Object Type
System Datatype Reports
System Datatype Properties | Sorted by System Datatype
Table Reports
Table Checks | Sorted by Table Name
Table Column Properties | Sorted by Property Name
Table Column Properties | Sorted by Table and Column
Table Columns | Sorted by Column and Table
Table Columns | Sorted by Table
Table Dictionary | Sorted by Table Name
Table Dictionary with Column Properties | Sorted by Table Name
Table Index Properties | Sorted by Property Name
Table Index Properties | Sorted by Table
Table Indexes | Sorted by Table and Index
Table Key Properties | Sorted by Property Name
Table Key Properties | Sorted by Table
Table Keys | Sorted by Table
Table List | Sorted by Table Name
Table Properties | Sorted by Property Name
Table Properties | Sorted by Table Name
Table Trigger Properties | Sorted by Property Name
Table Trigger Properties | Sorted by Table and Trigger
Table Triggers | Sorted by Table
Transaction Log Reports
Transaction Log Log File Properties | Sorted by Log File
Transaction Log Properties | Sorted by Transaction Log
User Reports
User Properties | Sorted by User
User Defined Data Type Reports
User Defined Datatype List | Sorted by User Defined Datatype
User Defined Datatype Properties | Sorted by User Defined Datatype
User Defined Function Reports
User Defined Function Properties | Sorted by Function
User Defined Function Properties | Sorted by Property Name
View Reports
View List with T-SQL | Sorted by View
View Properties | Sorted by Property Name
View Properties, Sorted by View Name | Sorted by View


Issues

Following is a complete list of all issues detected by Total SQL Analyzer:

  • ANSI Nulls setting is off (Server)

  • Lock Timeout set to default (Server)

  • Max Asynchronous IO set to default (Server)

  • Model database size larger than remaining free disk space on server (Server)

  • "sa" user with no password (Server)

  • Sum of all database max sizes exceeds server hard disk size (Server)

  • Column consistency issues (Server)

  • Database and transaction log share physical drive (Database)

  • Database compatibility level different than server version (Database)

  • Database has multiple owners (Database)

  • Database name contains spaces (Database)

  • Trigger disabled (Table)

  • Check constraint disabled (Table)

  • ANSI Nulls Status is False (Stored Procedure)


Performance Tips

Following is a complete list of all performance tips detected by Total SQL Analyzer:

  • Allow updates turned on (Server)

  • Temp database located on server’s data drive (Server)

  • Auto update statistics turned on (Database)

  • Auto shrink turned on (Database)

  • Database not read-only (Database)

  • Text/ntext columns found (Table)

  • AllowNulls turned on in column (Table)

  • Varchar, nvarchar, varbinary columns found (Table)

  • Primary key based on float or real column (Table)

  • Database file growth increment set to default of 10% (File Group)

  • Log file growth increment set to default of 10% (Transaction Log)


License Agreement

PLEASE READ THE FMS SOFTWARE LICENSE AGREEMENT. YOU MUST AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT BEFORE YOU CAN INSTALL OR USE THE SOFTWARE.

IF YOU DO NOT ACCEPT THE TERMS OF THE LICENSE AGREEMENT FOR THIS OR ANY FMS SOFTWARE PRODUCT, YOU MAY NOT INSTALL OR USE THE SOFTWARE. YOU SHOULD PROMPTLY RETURN ANY FMS SOFTWARE PRODUCT FOR WHICH YOU ARE UNWILLING OR UNABLE TO AGREE TO THE TERMS OF THE FMS SOFTWARE LICENSE AGREEMENT FOR A REFUND OF THE PURCHASE PRICE.

Ownership of the Software

The enclosed software program ("SOFTWARE") and the accompanying written materials are owned by FMS, Inc. or its suppliers and are protected by United States copyright laws, by laws of other nations, and by international treaties. You must treat the SOFTWARE like any other copyrighted material except that you may make one copy of the SOFTWARE solely for backup or archival purpose, and you may transfer the SOFTWARE to a permanent storage device.

Grant of License

The SOFTWARE is available in a single user license version. Additional licenses may be purchased by contacting FMS, Inc.

For each license purchased, you are permitted (either as an individual, or if an entity, one designated individual) to use the program on one computer at a time.

Restrictions

You may not reverse engineer, de-compile, or disassemble this SOFTWARE. The SOFTWARE is licensed as a single product and may not be separated by use for more than one user at a time. You may not rent or lease the SOFTWARE. You may not transfer any of your rights under the FMS Software License Agreement to other individuals or entities. Without prejudice to any other rights, FMS may terminate this FMS Software License Agreement at any time if you fail to comply with any of its terms. In such an event of termination, you must destroy and stop using all affected SOFTWARE copies.

Transfer of License

If your SOFTWARE is marked "NOT FOR RESALE", you may not sell or resell the SOFTWARE, nor may you transfer the FMS Software license.

If your SOFTWARE is not marked "NOT FOR RESALE", you may transfer your license of the SOFTWARE to another user or entity provided that:

  1. The recipient agrees to all terms of the FMS Software License Agreement; and

  2. You provide all original materials including software disks or compact disks, and any other part of the SOFTWARE’S physical distribution to the recipient; and

  3. You remove all installations of the SOFTWARE; and

  4. You notify FMS, in writing, of the ownership transfer.

Limited Warranty

If you discover physical defects in the media on which this SOFTWARE is distributed, or in the related manual, FMS, Inc. will replace the media or manual at no charge to you, provided you return the item(s) within 60 days after purchase.

ALL IMPLIED WARRANTIES ON THE MEDIA AND MANUAL, INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE LIMITED TO SIXTY (60) DAYS FROM THE DATE OF PURCHASE OF THIS PRODUCT.

Although FMS, Inc. has tested this program and reviewed the documentation, FMS, Inc. makes no warranty or representation, either expressed or implied, with respect to this SOFTWARE, its quality, performance, merchantability, or fitness for a particular purpose. As a result, this SOFTWARE is licensed "AS-IS", and you are assuming the entire risk as to its quality and performance.

IN NO EVENT WILL FMS, INC. BE LIABLE FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES RESULTING FROM THE USE, OR INABILITY TO USE THIS SOFTWARE OR ITS DOCUMENTATION. THE WARRANTY AND REMEDIES SET FORTH IN THIS LIMITED WARRANTY ARE EXCLUSIVE AND IN LIEU OF ALL OTHERS, ORAL OR WRITTEN, EXPRESSED OR IMPLIED.

Some states do not allow the exclusion or limitation of implied warrantees or liability for incidental or consequential damages, so the above limitations or exclusions may not apply to you. This warranty gives you specific legal rights; you may also have other rights that vary from state to state.

U.S. Government Restricted Rights

The SOFTWARE and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c) (1) (ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c) (1) and (2) of the Commercial Computer Software - Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer is FMS Inc. 8027 Leesburg Pike, Suite 410, Vienna, VA 22182.

COPYRIGHT INFORMATION

Total SQL Analyzer is copyright 2001 by Financial Modeling Specialists, Inc. All rights reserved.

Microsoft Windows, Microsoft SQL Server and Visual Basic are registered trademarks of Microsoft Corporation.

All other trademarks are trademarks of their respective owners.


Creating and Running Jobs


Installation


Introduction


Issues and Performance Tips


Managing Job Results


Report List


Troubleshooting and Product Support


Using Reports


Viewing Job Results